## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate half

Name:           rust-half
Version:        2.3.1
Release:        %autorelease
Summary:        Half-precision floating point f16 and bf16 types for Rust

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/half
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          half-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop unused zerocopy feature (missing dependencies)
# * drop unused benchmark-only criterion dependency
Patch:          half-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Half-precision floating point f16 and bf16 types for Rust implementing
the IEEE 754-2008 standard binary16 and bfloat16 types.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bytemuck-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bytemuck-devel %{_description}

This package contains library source intended for building other packages which
use the "bytemuck" feature of the "%{crate}" crate.

%files       -n %{name}+bytemuck-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+num-traits-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+num-traits-devel %{_description}

This package contains library source intended for building other packages which
use the "num-traits" feature of the "%{crate}" crate.

%files       -n %{name}+num-traits-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rand_distr-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand_distr-devel %{_description}

This package contains library source intended for building other packages which
use the "rand_distr" feature of the "%{crate}" crate.

%files       -n %{name}+rand_distr-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use-intrinsics-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use-intrinsics-devel %{_description}

This package contains library source intended for building other packages which
use the "use-intrinsics" feature of the "%{crate}" crate.

%files       -n %{name}+use-intrinsics-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip tests that fail with Rust 1.75+ when built in release mode:
#   https://github.com/starkat99/half-rs/issues/103
%cargo_test -- -- --exact --skip bfloat::test::test_nan_conversion_to_larger --skip bfloat::test::test_nan_conversion_to_smaller --skip binary16::test::test_nan_conversion_to_larger --skip binary16::test::test_nan_conversion_to_smaller
%endif

%changelog
* Tue Jan 23 2024 Fabio Valentini <decathorpe@gmail.com> - 2.3.1-2
- Skip tests that fail with Rust 1.75+ when built in release mode

* Sat Oct 14 2023 Fabio Valentini <decathorpe@gmail.com> - 2.3.1-1
- Update to version 2.3.1; Fixes RHBZ#2099493

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 07 2023 Fabio Valentini <decathorpe@gmail.com> - 1.8.2-5
- Regenerate with rust2rpm v24

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Nov 06 2021 Fabio Valentini <decathorpe@gmail.com> - 1.8.2-1
- Update to version 1.8.2; Fixes RHBZ#2013879

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 17 09:38:37 CET 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.7.1-1
- Update to 1.7.1 (Fixes: RHBZ#1917105)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun May 10 14:26:13 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.6.0-1
- Update to 1.6.0

* Wed Mar 04 2020 Josh Stone <jistone@redhat.com> - 1.5.0-1
- Update to 1.5.0

* Mon Feb 10 2020 Josh Stone <jistone@redhat.com> - 1.4.1-1
- Update to 1.4.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Oct 13 11:15:06 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.4.0-1
- Update to 1.4.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jun 19 23:55:52 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.0-4
- Regenerate

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Nov 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.0-2
- Adapt to new packaging

* Wed Oct 03 2018 Josh Stone <jistone@redhat.com> - 1.3.0-1
- Update to 1.3.0

* Sat Sep 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.2.0-1
- Initial package

